CK_ARRAY_FOREACH(3)

NAME
CK_ARRAY_FOREACH - iterate through an array

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_array.h>
bool
CK_ARRAY_FOREACH(ck_array_t *array, ck_array_iterator_t *iterator, void **b);

DESCRIPTION
The CK_ARRAY_FOREACH(3) macro iterates through the array pointed to by array. A pointer to an iterator object must be specified by iterator and b must point to a void pointer.

EXAMPLE

    #include <ck_array.h>

    /* Assume this was already previously initialized. */
    ck_array_t array;

    void
    example(void)
    {
    	ck_array_iterator_t iterator;
    	void *pointer;

    	CK_ARRAY_FOREACH(&array, &iterator, &pointer) {
    		do_something(pointer);
    	}
    }

RETURN VALUES
This macro has no return value.

SEE ALSO
ck_array_init(3), ck_array_commit(3), ck_array_put(3), ck_array_put_unique(3), ck_array_remove(3), ck_array_deinit(3) ck_array_length(3), ck_array_buffer(3), ck_array_initialized(3)

Additional information available at http://concurrencykit.org/